NG(1)

NAME
ng - small lightweight Emacs-like editor

SYNOPSIS
ng [options] files...

DESCRIPTION
ng is Nihongo Mg, MicroGnuEmacs. This name indicates it is Japanized version of Mg. It can handle ASCII, ISO-2022-JP, Shift-JIS, and EUC-JP as well as EUC-KR and EUC-CN(GB and CNS), while Latin are also supported. Be aware these CJK support and Latin support are exclusive.

ng is just a wrapper script. It calls either ng-latin, ng-cjk or ng-cjk-canna according to locale-related environmental variable, LC_ALL and LANG. If you want to override this act, You can use an environmental variable NG. Set this to what you prefer among the ng families.

OPTIONS

-v  Show version of ng.

-c  Show version and built-in features of ng.

-f command
    Execute the specified command after ng starts.

-I file
    Use the specified file as an init file instead of ~/.ng.

+ number
    Go to the line specified by number (do not insert a space between the "+" sign and the number).

FILES
/usr/bin/ng-latin - Latin-supported binary. /usr/bin/ng-cjk - CJK-supported binary. /usr/bin/ng-cjk-canna - CJK & canna-supported binary.

VARIABLES
NG - should be set to either ng-latin, ng-cjk or ng-cjk-canna. This value is prior to others. LC_ALL - prior to LANG. LANG - These locale-related variables control which ng is to be called.

AUTHOR
This manual page was written by Yasuhiro Take <take@debian.org>, for the Debian GNU/Linux system (but may be used by others).